Bug 470342 - XO: Running Cheese Video capture results in lots of pulseaudio errors
XO: Running Cheese Video capture results in lots of pulseaudio errors
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-11-06 14:36 EST by Bryan Kearney
Modified: 2009-04-03 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-03 12:24:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2008-11-06 14:36:52 EST
Description of problem:
Running Previre Release of F10 on an XO. I launched cheese, and attempted to take a video recording. I got logs of these lines in /var/log/messages:

Early in the log file was some verbose pulseaudio output that may/maynot be related.

Nov  6 18:58:29 localhost pulseaudio[2645]: main.c: Called SUID root and real-time/high-priority scheduling was requested in the configuration. However, we lack the necessary privileges:
Nov  6 18:58:29 localhost pulseaudio[2645]: main.c: We are not in group 'pulse-rt' and PolicyKit refuse to grant us privileges. Dropping SUID again.
Nov  6 18:58:29 localhost pulseaudio[2645]: main.c: For enabling real-time scheduling please acquire the appropriate PolicyKit privileges, or become a member of 'pulse-rt', or increase the RLIMIT_NICE/RLIMIT_RTPRIO resource limits for this user.
Nov  6 18:58:29 localhost pulseaudio[2645]: main.c: High-priority scheduling enabled in configuration but not allowed by policy.
Nov  6 18:58:29 localhost pulseaudio[2645]: core-util.c: setpriority(): Permission denied
Nov  6 18:58:32 localhost pulseaudio[2652]: module-alsa-sink.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Nov  6 18:58:32 localhost pulseaudio[2652]: module-alsa-source.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Nov  6 18:58:36 localhost gnome-session[2369]: WARNING: Application 'libcanberra-login-sound.desktop' failed to register before timeout
Nov  6 18:58:38 localhost pulseaudio[2652]: source.c: Assertion 'PA_SOURCE_IS_OPENED(s->thread_info.state)' failed at pulsecore/source.c:428, function pa_source_post(). Aborting.
Nov  6 18:58:39 localhost pulseaudio[2710]: pid.c: Stale PID file, overwriting.
Nov  6 18:58:45 localhost kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
Nov  6 18:58:47 localhost pulseaudio[2710]: module-alsa-sink.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Nov  6 18:58:48 localhost pulseaudio[2710]: module-alsa-source.c: Disabling timer-based scheduling because high-resolution timers are not available from the kernel.
Comment 1 Bug Zapper 2008-11-25 23:54:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lennart Poettering 2008-12-08 13:46:11 EST
Hmm, this is interesting. Could you please provide a full bt?
Comment 3 Bryan Kearney 2008-12-09 16:55:29 EST
how can I recreate the bt for you?

-- bk
Comment 4 Lennart Poettering 2008-12-17 17:09:38 EST
Hmm, I also find the "Submitted 1 kernel oopses to www.kerneloops.org" part interesting. Mabe the PA issue just a followup issue due to a kernel issue? What is that about?

For the stack trace see http://fedoraproject.org/wiki/StackTraces
Comment 5 Lennart Poettering 2009-04-03 12:24:36 EDT
Closing due to lock of response.

Note You need to log in before you can comment on or make changes to this bug.